Dell: a security breach affects millions of PCs, install the update quickly!

Dell has unveiled the existence of a serious security breach in millions of PCs. The breach would allow hackers to easily access sensitive information on your computer without your knowledge. To protect itself, the firm invites us to install the latest update available without delay.

This Thursday, June 20, 2019, Dell released a security advisory regarding the CVE-2019-12280 vulnerability identified in the SupportAssist application, designed by PC Doctor. As the IT giant explains on his website, it is an ” application that proactively checks the status of hardware and software in your system. ” If there is a problem, the program sends Dell the necessary status information to start the troubleshooting process. SupportAssist is installed by default on all devices of the Dell brand.

Dell discovers a security breach in millions of PCs

The flaw concerns both the version of SupportAssist installed on professional computers (version 2.0) and domestic versions (versions 3.2.1 and earlier), ie millions of PCs in circulation, explains Dell. According to a report by SafeBreach, the firm specializing in cybersecurity, dated April 29, 2019, the flaw could allow an attacker to take control of a remote computer to siphon the data contained on his physical memory. SupportAssist benefits from privileged access to the system of your computer. For now, it is unclear if the flaw has already been exploited by pirates.

This is not the first time Dell has identified a security issue in SupportAssist. At the beginning of May 2019, a flaw in the default software left Dell PCs at the mercy of hackers. Again, the firm had reacted quickly by deploying a fix. If you use a PC of the brand, we invite you to install the update urgently by clicking on the link below. For professional computers, go to the “source” link at the bottom of the page.

Install the SupportAssist Update on your Dell PC